Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.sql
Class SDBConnectionFactory

    java.lang.Object
      com.hp.hpl.jena.sdb.sql.SDBConnectionFactory

    public class SDBConnectionFactory

extends Object

Constructor Summary
`SDBConnectionFactory()`

Method Summary
`static SDBConnection` | `create(Connection sqlConnection)`
`static SDBConnection` | `create(SDBConnectionDesc desc)`
`static SDBConnection` | `create(String configFile)`
`static SDBConnection` | `create(String url, String user, String password)`
`static DataSource` | `createDataSource(String configFile)`
`static Connection` | `createJDBC(com.hp.hpl.jena.rdf.model.Model model)`
`static Connection` | `createJDBC(String configFile)`
`static Connection` | `createSqlConnection(SDBConnectionDesc desc)` Create a new, plain JDBC SQL connection from the description.
`static Connection` | `createSqlConnection(String jdbcURL, String user, String password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDBConnectionFactory

    public SDBConnectionFactory()

Method Detail

### create

    public static SDBConnection create(SDBConnectionDesc desc)

### create

    public static SDBConnection create(String configFile)

### create

    public static SDBConnection create(String url,
                                       String user,
                                       String password)

### createJDBC

    public static Connection createJDBC(String configFile)

### createJDBC

    public static Connection createJDBC(com.hp.hpl.jena.rdf.model.Model model)

### create

    public static SDBConnection create(Connection sqlConnection)

### createDataSource

    public static DataSource createDataSource(String configFile)

### createSqlConnection

    public static Connection createSqlConnection(SDBConnectionDesc desc)

  Create a new, plain JDBC SQL connection from the description.

### createSqlConnection

    public static Connection createSqlConnection(String jdbcURL,
                                                 String user,
                                                 String password)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.